package schedframe.scheduling.plugin.configuration;

import java.util.HashMap;
import java.util.Map;

import schedframe.scheduling.events.SchedulingEventType;
import schedframe.scheduling.plugin.SchedulingPluginConfiguration;

public class LocalARConfig implements SchedulingPluginConfiguration {
	
	private Map<SchedulingEventType, Object> events = new HashMap<SchedulingEventType, Object>();
	
	public LocalARConfig(){
		events.put(SchedulingEventType.START_TASK_EXECUTION, null);
		events.put(SchedulingEventType.TASK_FINISHED, null);
		events.put(SchedulingEventType.RESERVATION_ACTIVE, null);
		events.put(SchedulingEventType.RESERVATION_FINISHED, null);
		events.put(SchedulingEventType.TASK_REQUESTED_TIME_EXPIRED, null);
	}
	
	public Map<SchedulingEventType, Object> getServedEvents() {
		return events;
	}
	
}